Quassel IRC - Bug #1142

CTCP action sending extra characters
02/29/2012 03:19 PM - rikai

Status: Resolved Start date: 02/29/2012
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.9.0

Version: 0.7.3 0S: Any
Description

When using certain characters, it seems there are extra characters being sent.
You can only see this when using a client other than quassel.

Not sure of the specifics of whats causing this, or if there are any other characters that are being sent in this way, but it can be easily
reproduced by using the \ character in a /me

Example: /me \o/
Will output this in quassel: -*- rikai \o/
But this in other clients: * +rikai \\o/

Related issues:
Related to Quassel IRC - Bug #1130: Buggy Version Reply Resolved 12/20/2011

Associated revisions

Revision fd92bfb1 - 02/19/2013 09:50 PM - Bas Pape

Only escape \ with standards-compliant ctcp

Fixes #1142

History

#1 - 02/29/2012 03:29 PM - rikai

As requested, adding a note that this was tested against multiple clients. They all interpreted it in the same way that was shown in the example (which
was from mirc specifically).

the following clients were tested:

mirc

xchat

colloquy

colloquy mobile
limechat(iOS)

Andchat

smuxi (i believe so anyway)

#2 - 09/26/2012 11:19 AM - Anonymous

- Target version set to Some future release

This is made part of the simplified CTCP. MR 148

#3 - 02/19/2013 10:14 PM - Anonymous
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset quassel|commit:fd92bfb1f093dcc6295ca9de2c34780d288b0fe2.

#4 - 02/20/2013 08:06 PM - Anonymous

- Assignee set to Anonymous
https://gitorious.org/quassel/quassel/merge_requests/148

- Target version changed from Some future release to 0.9.0
